function love.load()
	love.keyboard.setKeyRepeat(0.01, 0.001)
	world = {}
	Right = {}
	width = 32
	height = 48
	wait = 1
	player = { x=12, y=10, direction = Down, still = true }
	spriteBatch = love.graphics.newImage( "tremel.png" )
	names = { Noodle }
	loadSprite("Noodle", "tremel.png")
	loadSprite("Jose", "tremel.png")
	love.graphics.setBackgroundColor(255,255,255,255)
end

function loadSprite(char_name, sprite)
	world[char_name] = { Direction = Down, Down = {}, Up = {}, Left = {}, Right = {} }
    world[char_name].sprite = love.graphics.newImage(sprite)
	world[char_name].still = true
	world[char_name].x = math.random(1, 320-32)
	world[char_name].y = math.random(1, 320-32)
	for x = 0,3 do -- Height = 4 sprites
		for y = 0,3 do -- Width = 4 sprites
			world[char_name][#world[char_name] + 1] = love.graphics.newQuad( x*width, y*height, width, height, width*4, height*4)
		end
	end
	-- All Pic
	for x = 0, 3 do
		world[char_name].Down[#world[char_name].Down + 1 ] = world[char_name][x * 4 + 1]
		world[char_name].Left[#world[char_name].Left + 1] = world[char_name][x * 4 + 2]
		world[char_name].Right[#world[char_name].Right + 1] = world[char_name][x * 4 + 3]
		world[char_name].Up[#world[char_name].Up + 1] = world[char_name][x * 4 + 4]
	end
	for k, v in pairs(world[char_name]) do
		print(k, v)
	end
	for k, v in pairs(names) do
		print(k, v)
	end
end

function love.update(dt)
	wait = wait + dt
	if wait >= 5 then
		wait = 1
	end
	player.still = true
	if love.keyboard.isDown( "up" ) then
		player.y=player.y-(20*dt)
		love.keypressed("up")
	end
	if love.keyboard.isDown("down") then
		player.y=player.y+(20*dt)
		love.keypressed("down")
	end
	if love.keyboard.isDown("right") then
		player.x=player.x+(20*dt)
		love.keypressed("right")
	end
	if love.keyboard.isDown("left") then
		player.x=player.x-(20*dt)
		love.keypressed("left")
	end
end

function love.keypressed(key)
	if key == ( "up" ) then
		player.still = false
		player.direction = Up
	end
	if key == ( "down" ) then
		player.still = false
		player.direction = Down
	end
	if key == ( "left" ) then
		player.still = false
		player.direction = Left
	end
	if key == ( "right" ) then
		player.still = false
		player.direction = Right
	end
end

function love.draw()
	love.graphics.setColor(0,0,0,255)
	love.graphics.print(wait, 0, 0)
	love.graphics.setColor(255,255,255,255)
	for k, v in pairs(world) do
		print(k, v)
		for k2, v2 in pairs(world[k]) do
			print(k2, v2)
			local weit = math.floor(wait)
			love.graphics.drawq(v2.sprite, v2.Down[1], v2.x, v2.y)
		end
	end
end